Service Desk Practitioners Forum
cancel
Showing results for 
Search instead for 
Did you mean: 

SD4.5 Client and newer version of JVM

Highlighted
Metin INAN_1
Collector

SD4.5 Client and newer version of JVM

Hi All,

On a system installed MS Vİsual Studio 2005 SD4.5 client can not be installed.This is a PC with WinXP SP2.I guess on such a machine newer version of JVM which comes with MS VS2005(version 2.0 I think) exists.Have can I run SD client on such systems ?

Thanks,
3 REPLIES
Mihai Tita
Occasional Visitor

Re: SD4.5 Client and newer version of JVM

Hi,

I use SD 4.5 SP15, on a PC with Win XP and JRE 1.5.0_04.
MS Visual Studio 2005 comes with Java Virtual Converter (probably for conversion java to dot.net) based on java 1.3.
I think that it is another cause.
Can you provide some details, error message, etc.?

Best regards,
Mihai
JaS_4
Honored Contributor

Re: SD4.5 Client and newer version of JVM

Hi Metin,

In a dos box, type jview. At the top of the output it will tell you what version MS JVM that you have.
The MS JVM from SD CD is 5.03802 and the one from XP2 is 5.03810.
I suggest you use 5.03810 as it has MS security fix in it and it does work with SD.
However, I noticed that you have Visual Studio and it is possible it may install a newer version of mdac/ado which may not work with SD but you can always reinstall the old mdac/ado again to get it working again.
See other ITRC forums on fixing mdac/ado issues.

Mihai Tita
Occasional Visitor

Re: SD4.5 Client and newer version of JVM

Hi,

MS JVM has been included in some IE and MS Windows but MS tray to drop out it.
As per a legal agreement between MS and Sun, MS is no longer updating the MS JVM.
After December 31, 2007 the MSJVM becomes obsolete and MS ask customers to move away from the MS JVM before this date.

It is possible that MS Visual Studio 2005 make some changes regarding MS JVM, or/and
modify MDAC/ADO version.

Regards,
Mihai

//Add this to "OnDomLoad" event